Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.dependencyGraph
Class AbstractNodeDecorator

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.AbstractNodeDecorator

Direct Known Subclasses:
  ResponseTimeColorNodeDecorator, ResponseTimeNodeDecorator

    public abstract class AbstractNodeDecorator

extends Object

Abstract superclass for all node decorators.

Since:
  1.5
Author:
  Holger Knoche

Constructor Summary
`AbstractNodeDecorator()`

Method Summary
`static AbstractNodeDecorator` | `createFromName(String optionName)` Creates a node decorator from its option name.
`abstract void` | `processMessage(AbstractMessage message, DependencyGraphNode<?> sourceNode, DependencyGraphNode<?> targetNode, TimeUnit timeunit)` Processes a message sent from the given source to the given target node.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractNodeDecorator

    public AbstractNodeDecorator()

Method Detail

### createFromName

    public static AbstractNodeDecorator createFromName(String optionName)

  Creates a node decorator from its option name.

  Parameters:
    `optionName` - The option name to create a decorator for
  Returns:
    An appropriate node decorator or `null` if none can be determined

### processMessage

    public abstract void processMessage(AbstractMessage message,
                                        DependencyGraphNode<?> sourceNode,
                                        DependencyGraphNode<?> targetNode,
                                        TimeUnit timeunit)

  Processes a message sent from the given source to the given target node.

  Parameters:
    `message` - The sent message
    `sourceNode` - The source node sending the message
    `targetNode` - The target node receiving the message
    `timeunit` - The time unit which determines how to interpret times.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net